Bug 996295 - systemd-udevd[195]: worker [220] /devices/system/cpu/cpu2 timeout; kill it
systemd-udevd[195]: worker [220] /devices/system/cpu/cpu2 timeout; kill it
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 17:05 EDT by kevin martin
Modified: 2015-06-29 08:16 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:16:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kevin martin 2013-08-12 17:05:23 EDT
Description of problem:
quad core laptop and shortly after boot I see these errors:

[   45.929682] systemd-udevd[195]: worker [220] /devices/system/cpu/cpu2 timeout; kill it
[   45.929896] systemd-udevd[195]: seq 1988 '/devices/system/cpu/cpu2' killed
[   45.930036] systemd-udevd[195]: worker [221] /devices/system/cpu/cpu0 timeout; kill it
[   45.930200] systemd-udevd[195]: seq 1986 '/devices/system/cpu/cpu0' killed
[   45.930443] systemd-udevd[195]: worker [226] /devices/system/cpu/cpu3 timeout; kill it
[   45.930582] systemd-udevd[195]: seq 1989 '/devices/system/cpu/cpu3' killed
[   45.930954] systemd-udevd[195]: worker [227] /devices/system/cpu/cpu1 timeout; kill it
[   45.931092] systemd-udevd[195]: seq 1987 '/devices/system/cpu/cpu1' killed
[   45.933039] systemd-udevd[195]: worker [220] terminated by signal 9 (Killed)
[   45.933259] systemd-udevd[195]: worker [221] terminated by signal 9 (Killed)
[   45.933449] systemd-udevd[195]: worker [226] terminated by signal 9 (Killed)


Version-Release number of selected component (if applicable):

systemd-206-2.fc20.x86_64

How reproducible:
every time I boot now

Steps to Reproduce:
1.boot 
2.see errors
3.

Actual results:
see errors

Expected results:
no errors

Additional info:
Linux 3.11.0-0.rc4.git5.1.fc20.x86_64 #1 SMP Sun Aug 11 21:00:40 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Tom London 2013-08-20 09:43:35 EDT
I've been seeing this every boot as well for a while:

[root@tlondon systemd]# journalctl -b | grep systemd-udevd
Aug 20 06:01:58 tlondon.localhost.org systemd-udevd[142]: starting version 206
Aug 20 06:02:04 tlondon.localhost.org systemd-udevd[322]: starting version 206
Aug 20 06:02:05 tlondon.localhost.org systemd-udevd[338]: error opening ATTR{/sys/devices/pci0000:00/0000:00:1a.1/usb4/4-1/4-1:1.0/power/control} for writing: No such file or directory
Aug 20 06:02:07 tlondon.localhost.org systemd-udevd[329]: renamed network interface wlan0 to wlp3s0
Aug 20 06:02:46 tlondon.localhost.org systemd-udevd[322]: worker [330] /devices/system/cpu/cpu0 timeout; kill it
Aug 20 06:02:46 tlondon.localhost.org systemd-udevd[322]: seq 1890 '/devices/system/cpu/cpu0' killed
Aug 20 06:02:46 tlondon.localhost.org systemd-udevd[322]: worker [336] /devices/system/cpu/cpu1 timeout; kill it
Aug 20 06:02:46 tlondon.localhost.org systemd-udevd[322]: seq 1891 '/devices/system/cpu/cpu1' killed
Aug 20 06:02:46 tlondon.localhost.org systemd-udevd[322]: worker [336] terminated by signal 9 (Killed)
Aug 20 06:04:06 tlondon.localhost.org systemd-udevd[322]: worker [330] terminated by signal 9 (Killed)
[root@tlondon systemd]# 

Boot appears to hang for up to 10-20 seconds until this spews out.

More info I can provide?
Comment 2 Kay Sievers 2013-08-20 10:28:36 EDT
Might be this, not sure:
  https://bugzilla.redhat.com/show_bug.cgi?id=997149#c5
Comment 3 Fedora End Of Life 2013-09-16 12:31:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 collura 2013-11-14 04:46:27 EST
not sure if related because doesnt boot enough to look at logs but running kernels greater than 3.10.4-300.fc19.x86_64 the system fails to boot (tried kernel-3.11.7-300.fc20.x86_64 and kernel-3.13.0-0.rc0.git1.3.fc21.x86_64) 

running fedora 20 which now has systemd-208.4.fc20.x86_64

gives similar systemd errors to screen (nothing shows in logs when boot with 3.10.4-300.fc19 to check):

  'BUG: soft lockup: cpu stuck for xxs' where xx is some number of seconds

  'fixing recursive fault but reboot is needed'
Comment 5 Fedora End Of Life 2015-05-29 05:19:04 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 08:16:22 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.